petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscStrlen

Gets length of a string

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStrlen(const char s[],size_t *len)

Not Collective Many br

### Input Parameters

s -pointer to string Many br

### Output Parameter

len -length in bytes Many br

Many br

### Note

This routine is analogous to strlen(). Many br

Null string returns a length of zero Many br

Not for use in Fortran Many br

Level:intermediate
Location:src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex11.c.html